<template>
  <fieldset
    class="fr-fieldset fr-grid-row fr-grid-row--gutters form-grid"
    aria-labelledby="organisation-information-legend"
  >
    <legend
      id="organisation-information-legend"
      class="fr-fieldset__legend fr-h4"
    >
      Typologie
    </legend>
    <div class="fr-fieldset__element">
      <AtomInput
        name="name"
        label="Raison sociale"
        :value="organisation.name"
        required
      />
    </div>
    <div class="fr-fieldset__element">
      <AtomInput
        name="zip_code"
        label="Code postal"
        :value="zipCode"
        required
        @change-value="zipCode = $event"
      />
    </div>
    <div class="fr-fieldset__element">
      <AtomCityInput
        name="city"
        label="Ville"
        :value="city"
        :zip-code="zipCode"
        required
        @city-selected="onCitySelected"
      />
    </div>
    <div class="fr-fieldset__element fr-col-12 fr-col-lg-8">
      <AtomAddressInput
        name="address"
        label="Adresse"
        :value="organisation.address"
        :zip-code="zipCode"
        required
        @address-selected="onAddressSelected"
      />
    </div>
    <div class="fr-fieldset__element">
      <AtomInput
        name="phone"
        label="Téléphone"
        type="tel"
        :value="organisation.phone"
        required
      />
    </div>
    <div class="fr-fieldset__element fr-col-12 fr-col-lg-8">
      <AtomInput
        name="email"
        label="Email"
        :value="organisation.email"
        required
      />
    </div>
  </fieldset>
</template>

<script setup>
  const props = defineProps({
    organisation: { type: Object, required: true }
  })

  const zipCode = ref(props.organisation.zip_code)
  const city = ref(props.organisation.city)

  function onCitySelected(city) {
    zipCode.value = city.zipCode
    city.value = city.city
  }

  function onAddressSelected(address) {
    zipCode.value = address.zipCode
    city.value = address.city
  }
</script>
